package com.emr.service.ipml;

import com.emr.dao.Archive_Detail_PictureMapper;
import com.emr.entity.Archive_Detail_Picture;
import com.emr.service.Archive_Detail_PictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class Archive_Detail_PictureServiceImpl implements Archive_Detail_PictureService {

    @Autowired
    private Archive_Detail_PictureMapper archiveDetailPictureMapper;
    @Override
    public int deleteByCol(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.deleteByCol(record);
    }

    @Override
    public int insert(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.insert(record);
    }

    @Override
    public int insertSelective(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.insertSelective(record);
    }

    @Override
    public Archive_Detail_Picture selectByPrimaryKey(Integer id) {
        return archiveDetailPictureMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<Archive_Detail_Picture> selectByCol(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.selectByCol(record);
    }

    @Override
    public int updateByPrimaryKeySelective(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(Archive_Detail_Picture record) {
        return archiveDetailPictureMapper.updateByPrimaryKey(record);
    }
}
